import { ElementRef, ViewContainerRef, Renderer2, Injector, ChangeDetectorRef } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-angular-base';
import { Calendar } from '@syncfusion/ej2-calendars';
import * as i0 from "@angular/core";
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Represents the Essential JS 2 Angular Calendar Component.
 * ```html
 * <ejs-calendar [value]='date'></ejs-calendar>
 * ```
 */
export declare class CalendarComponent extends Calendar implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    private injector;
    private cdr;
    formCompContext: any;
    formContext: any;
    tagObjects: any;
    change: any;
    created: any;
    destroyed: any;
    navigated: any;
    renderDayCell: any;
    valueChange: any;
    valuesChange: any;
    focus: any;
    blur: any;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, injector: Injector, cdr: ChangeDetectorRef);
    registerOnChange(registerFunction: (_: any) => void): void;
    registerOnTouched(registerFunction: () => void): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarComponent, "ejs-calendar", never, { "calendarMode": "calendarMode"; "cssClass": "cssClass"; "dayHeaderFormat": "dayHeaderFormat"; "depth": "depth"; "enablePersistence": "enablePersistence"; "enableRtl": "enableRtl"; "enabled": "enabled"; "firstDayOfWeek": "firstDayOfWeek"; "isMultiSelection": "isMultiSelection"; "keyConfigs": "keyConfigs"; "locale": "locale"; "max": "max"; "min": "min"; "serverTimezoneOffset": "serverTimezoneOffset"; "showTodayButton": "showTodayButton"; "start": "start"; "value": "value"; "values": "values"; "weekNumber": "weekNumber"; "weekRule": "weekRule"; }, { "focus": "focus"; "blur": "blur"; "change": "change"; "created": "created"; "destroyed": "destroyed"; "navigated": "navigated"; "renderDayCell": "renderDayCell"; "valueChange": "valueChange"; "valuesChange": "valuesChange"; }, never, never>;
}
