import { ElementRef, ViewContainerRef, Renderer2, Injector, ChangeDetectorRef } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-angular-base';
import { DateRangePicker } from '@syncfusion/ej2-calendars';
import * as i0 from "@angular/core";
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Represents the Essential JS 2 Angular DateRangePicker Component.
 * ```html
 * <ejs-daterangepicker [startDate]='date' [endDate]='date'></ejs-daterangepicker>
 * ```
 */
export declare class DateRangePickerComponent extends DateRangePicker implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    private injector;
    private cdr;
    formCompContext: any;
    formContext: any;
    tagObjects: any;
    blur: any;
    change: any;
    cleared: any;
    close: any;
    created: any;
    destroyed: any;
    focus: any;
    navigated: any;
    open: any;
    renderDayCell: any;
    select: any;
    startDateChange: any;
    endDateChange: any;
    valueChange: any;
    childPresets: any;
    tags: string[];
    /**
     * Specifies the initial view of the Calendar when it is opened.
     * With the help of this property, initial view can be changed to year or decade view.
     * @default Month
     */
    start: any;
    end: any;
    private skipFromEvent;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, injector: Injector, cdr: ChangeDetectorRef);
    registerOnChange(registerFunction: (_: any) => void): void;
    registerOnTouched(registerFunction: () => void): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateRangePickerComponent, "ejs-daterangepicker", never, { "allowEdit": "allowEdit"; "calendarMode": "calendarMode"; "cssClass": "cssClass"; "dayHeaderFormat": "dayHeaderFormat"; "depth": "depth"; "enablePersistence": "enablePersistence"; "enableRtl": "enableRtl"; "enabled": "enabled"; "endDate": "endDate"; "firstDayOfWeek": "firstDayOfWeek"; "floatLabelType": "floatLabelType"; "format": "format"; "fullScreenMode": "fullScreenMode"; "htmlAttributes": "htmlAttributes"; "keyConfigs": "keyConfigs"; "locale": "locale"; "max": "max"; "maxDays": "maxDays"; "min": "min"; "minDays": "minDays"; "openOnFocus": "openOnFocus"; "placeholder": "placeholder"; "presets": "presets"; "readonly": "readonly"; "separator": "separator"; "serverTimezoneOffset": "serverTimezoneOffset"; "showClearButton": "showClearButton"; "start": "start"; "startDate": "startDate"; "strictMode": "strictMode"; "value": "value"; "weekNumber": "weekNumber"; "weekRule": "weekRule"; "width": "width"; "zIndex": "zIndex"; }, { "blur": "blur"; "change": "change"; "cleared": "cleared"; "close": "close"; "created": "created"; "destroyed": "destroyed"; "focus": "focus"; "navigated": "navigated"; "open": "open"; "renderDayCell": "renderDayCell"; "select": "select"; "startDateChange": "startDateChange"; "endDateChange": "endDateChange"; "valueChange": "valueChange"; }, ["start", "end", "childPresets"], never>;
}
