import { ElementRef, ViewContainerRef, Renderer2, Injector, ChangeDetectorRef } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-angular-base';
import { TimePicker } from '@syncfusion/ej2-calendars';
import * as i0 from "@angular/core";
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Represents the Essential JS 2 Angular TimePicker Component.
 * ```html
 * <ejs-timepicker [value]='dateTime'></ejs-timepicker>
 * ```
 */
export declare class TimePickerComponent extends TimePicker implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    private injector;
    private cdr;
    formCompContext: any;
    formContext: any;
    tagObjects: any;
    blur: any;
    change: any;
    cleared: any;
    close: any;
    created: any;
    destroyed: any;
    focus: any;
    itemRender: any;
    open: any;
    valueChange: any;
    private skipFromEvent;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, injector: Injector, cdr: ChangeDetectorRef);
    registerOnChange(registerFunction: (_: any) => void): void;
    registerOnTouched(registerFunction: () => void): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerComponent, "ejs-timepicker", never, { "allowEdit": "allowEdit"; "cssClass": "cssClass"; "enableMask": "enableMask"; "enablePersistence": "enablePersistence"; "enableRtl": "enableRtl"; "enabled": "enabled"; "floatLabelType": "floatLabelType"; "format": "format"; "fullScreenMode": "fullScreenMode"; "htmlAttributes": "htmlAttributes"; "keyConfigs": "keyConfigs"; "locale": "locale"; "maskPlaceholder": "maskPlaceholder"; "max": "max"; "min": "min"; "openOnFocus": "openOnFocus"; "placeholder": "placeholder"; "readonly": "readonly"; "scrollTo": "scrollTo"; "serverTimezoneOffset": "serverTimezoneOffset"; "showClearButton": "showClearButton"; "step": "step"; "strictMode": "strictMode"; "value": "value"; "width": "width"; "zIndex": "zIndex"; }, { "blur": "blur"; "change": "change"; "cleared": "cleared"; "close": "close"; "created": "created"; "destroyed": "destroyed"; "focus": "focus"; "itemRender": "itemRender"; "open": "open"; "valueChange": "valueChange"; }, never, never>;
}
